#include "xmaterialpixelshaderprogram.h"

XMaterialPixelShaderProgram::XMaterialPixelShaderProgram()
    : XAsset()
    , mPixelShader()
    , mLoadDef()
{
    SetName("Material Pixel Shader Program");
}

XMaterialPixelShaderProgram::~XMaterialPixelShaderProgram()
{

}

void XMaterialPixelShaderProgram::Clear()
{
    mPixelShader.Clear();
    mLoadDef.Clear();
}

void XMaterialPixelShaderProgram::ParseData(XDataStream *aStream)
{
    mLoadDef.ParseData(aStream);
    mPixelShader.ParseData(aStream);

    if (mLoadDef.GetPhysicalPartSize())
    {
        //mPixelShader.
    }
    else
    {
        //mLoadDef
    }
}
